#ifndef _CALC_H_
#define _CALC_H_

#include <wx/wx.h>
#include <wx/process.h>

class calc {
	public:
		calc(const wxString &cmd = _(""));
		~calc();

		bool hasdata() const;
		double getdbl();
		int getint();

		void registerfunction(const wxString &name, const wxString &arguments, const wxString &body, bool isvoid = false);
		void exec(const wxString &cmd);

	private:
		int pid;
		wxProcess *cp;
};

class calc_error {
	public:
		calc_error(const wxString &_msg) : msg(_msg) {}
		const wxString & GetMsg() const { return msg; }
		
	private:
		wxString msg;
};

#endif
